#!/usr/bin/env python3

"""
Nemesida WAF API
Copyright (c) 2017-2025 Pentestit LLC - All Rights Reserved
Author: Romanov R.
"""

from core import ec_storage_period
from core import init_db
from core import proxy_settings
from core import ro_mode

from logger import log

# Listener
bind = "127.0.0.1:8088"

# Workers
try:
    from settings import WORKERS
    workers = WORKERS if WORKERS else 1
except Exception:
    workers = 4

# Logging
loglevel = 'critical'
logconfig = '/var/www/nw-api/logging.conf'

# logging
log.info('Proxy server: {}'.format(proxy_settings)) if proxy_settings else None
log.info('Event Collector data storage period: {} day(s)'.format(ec_storage_period))
log.info('Nemesida WAF API uses the database in {}-mode'.format('RO' if ro_mode else 'RW'))

# DB processing
if not ro_mode:
    init_db()
