#!/usr/bin/env python3

"""
Nemesida WAF API
Copyright (c) 2017-2025 Pentestit LLC - All Rights Reserved
Author: Romanov R.
"""

##
# URLs
##

# Local server URL
base_api_uri = '/nw-api'

# Attack and scan
set_attack_uri = base_api_uri + '/attack'
get_attack_uri = base_api_uri + '/get_attack'
del_attack_uri = base_api_uri + '/del_attack'
get_attack_spec_uri = base_api_uri + '/get_attack_spec'
get_attack_stats_uri = base_api_uri + '/get_attack_stats'
get_attack_vhost_stats_uri = base_api_uri + '/get_attack_vhost_stats'
set_scan_uri = base_api_uri + '/scan'

# BanSync
get_dyn_sync_ban_uri = base_api_uri + '/get_dyn_sync_ban'
set_dyn_sync_ban_uri = base_api_uri + '/set_dyn_sync_ban'
del_dyn_sync_ban_uri = base_api_uri + '/del_dyn_sync_ban'

# WAF settings (v1)

get_vhosts_list_uri = base_api_uri + '/get_vhosts_list'
set_vhosts_list_uri = base_api_uri + '/set_vhosts_list'

get_mlc_settings_uri = base_api_uri + '/get_mlc_settings'
set_mlc_settings_uri = base_api_uri + '/set_mlc_settings'

get_dyn_settings_uri = base_api_uri + '/get_dyn_settings'
set_dyn_settings_uri = base_api_uri + '/set_dyn_settings'

get_dyn_wl_uri = base_api_uri + '/get_dyn_wl'
set_dyn_wl_uri = base_api_uri + '/set_dyn_wl'

get_dyn_erl_uri = base_api_uri + '/get_dyn_erl'
set_dyn_erl_uri = base_api_uri + '/set_dyn_erl'

get_dyn_bl_uri = base_api_uri + '/get_dyn_bl'
set_dyn_bl_uri = base_api_uri + '/set_dyn_bl'

# WAF settings (v2)

get_vhosts_list_v2_uri = base_api_uri + '/v2/get_vhosts_list'
set_vhosts_list_v2_uri = base_api_uri + '/v2/set_vhosts_list'

get_mlc_settings_v2_uri = base_api_uri + '/v2/get_mlc_settings'
set_mlc_settings_v2_uri = base_api_uri + '/v2/set_mlc_settings'

get_dyn_settings_v2_uri = base_api_uri + '/v2/get_dyn_settings'
set_dyn_settings_v2_uri = base_api_uri + '/v2/set_dyn_settings'

get_dyn_wl_v2_uri = base_api_uri + '/v2/get_dyn_wl'
set_dyn_wl_v2_uri = base_api_uri + '/v2/set_dyn_wl'

get_dyn_erl_v2_uri = base_api_uri + '/v2/get_dyn_erl'
set_dyn_erl_v2_uri = base_api_uri + '/v2/set_dyn_erl'

get_dyn_bl_v2_uri = base_api_uri + '/v2/get_dyn_bl'
set_dyn_bl_v2_uri = base_api_uri + '/v2/set_dyn_bl'

# WAF settings hash
get_mlc_settings_hash_uri = base_api_uri + '/get_mlc_settings_hash'
get_dyn_settings_hash_uri = base_api_uri + '/get_dyn_settings_hash'
get_dyn_wl_hash_uri = base_api_uri + '/get_dyn_wl_hash'
get_dyn_erl_hash_uri = base_api_uri + '/get_dyn_erl_hash'
get_dyn_bl_hash_uri = base_api_uri + '/get_dyn_bl_hash'

# NWS target
set_nws_target_uri = base_api_uri + '/nws/set_target'
del_nws_target_uri = base_api_uri + '/nws/del_target'
get_nws_target_uri = base_api_uri + '/nws/get_target'

# Models
get_models_uri = base_api_uri + '/get_models_uri'
set_models_uri = base_api_uri + '/set_models_uri'
del_models_uri = base_api_uri + '/del_models_uri'
del_models_v2_uri = base_api_uri + '/v2/del_models_uri'
rep_models_uri = base_api_uri + '/rep_models_uri'
rep_models_v2_uri = base_api_uri + '/v2/rep_models_uri'
get_models_list_uri = base_api_uri + '/get_models_list_uri'
get_models_list_v2_uri = base_api_uri + '/v2/get_models_list_uri'

# Models training
get_training_uri = base_api_uri + '/get_training_uri'
get_training_v2_uri = base_api_uri + '/v2/get_training_uri'
set_training_uri = base_api_uri + '/set_training_uri'
set_training_v2_uri = base_api_uri + '/v2/set_training_uri'
set_training_progress_uri = base_api_uri + '/set_training_progress_uri'

# MT
set_mt_data_uri = base_api_uri + '/set_mt_data_uri'
get_mt_data_uri = base_api_uri + '/get_mt_data_uri'
get_mt_hash_uri = base_api_uri + '/get_mt_hash_uri'

get_mt_attack_uri = base_api_uri + '/get_mt_attack'
del_mt_attack_uri = base_api_uri + '/del_mt_attack'

set_mt_fp_uri = base_api_uri + '/set_mt_fp'
get_mt_fp_uri = base_api_uri + '/get_mt_fp'
del_mt_fp_uri = base_api_uri + '/del_mt_fp'

# OpenAPI
set_openapi_schema_uri = base_api_uri + '/set_openapi_schema'
get_openapi_schemas_uri = base_api_uri + '/get_openapi_schemas'
get_openapi_schemas_hash_uri = base_api_uri + '/get_openapi_schemas_hash'
get_openapi_url_uri = base_api_uri + '/get_openapi_url'
set_openapi_url_uri = base_api_uri + '/set_openapi_url'
get_openapi_url_hash_uri = base_api_uri + '/get_openapi_url_hash'
set_openapi_schema_paths_uri = base_api_uri + '/set_openapi_schema_paths'
get_openapi_schema_paths_uri = base_api_uri + '/get_openapi_schema_paths'
get_openapi_exclude_paths_uri = base_api_uri + '/get_openapi_exclude_paths'
set_openapi_exclude_paths_uri = base_api_uri + '/set_openapi_exclude_paths'
get_openapi_exclude_paths_hash_uri = base_api_uri + '/get_openapi_exclude_paths_hash'

# Event Collector
set_event_uri = base_api_uri + '/set_event'
get_event_uri = base_api_uri + '/get_event'
del_event_uri = base_api_uri + '/del_event'

# Agent monitoring
get_agent_monitoring_v1_uri = base_api_uri + '/v1/get_agent_monitoring'
set_agent_monitoring_v1_uri = base_api_uri + '/v1/set_agent_monitoring'
del_agent_monitoring_v1_uri = base_api_uri + '/v1/del_agent_monitoring'

# Nginx settings

set_nginx_global_uri = base_api_uri + '/nginx/set_nginx'
get_nginx_global_uri = base_api_uri + '/nginx/get_nginx'
get_nginx_global_hash_uri = base_api_uri + '/nginx/get_nginx_hash'

set_nginx_vhost_uri = base_api_uri + '/nginx/set_vhost'
get_nginx_vhost_uri = base_api_uri + '/nginx/get_vhost'
get_nginx_vhost_hash_uri = base_api_uri + '/nginx/get_vhost_hash'

set_nginx_upstream_uri = base_api_uri + '/nginx/set_upstream'
get_nginx_upstream_uri = base_api_uri + '/nginx/get_upstream'
get_nginx_upstream_hash_uri = base_api_uri + '/nginx/get_upstream_hash'

set_nginx_certificate_uri = base_api_uri + '/nginx/set_certificate'
get_nginx_certificate_uri = base_api_uri + '/nginx/get_certificate'
get_nginx_certificate_hash_uri = base_api_uri + '/nginx/get_certificate_hash'
get_nginx_certificate_secure_uri = base_api_uri + '/nginx/secure/get_certificate'

set_nginx_dhparam_uri = base_api_uri + '/nginx/set_dhparam'
get_nginx_dhparam_uri = base_api_uri + '/nginx/get_dhparam'
get_nginx_dhparam_hash_uri = base_api_uri + '/nginx/get_dhparam_hash'
get_nginx_dhparam_secure_uri = base_api_uri + '/nginx/secure/get_dhparam'

# MLS
set_mls_data_v1_uri = base_api_uri + '/v1/set_mls_data'
get_mls_data_v1_uri = base_api_uri + '/v1/get_mls_data'
del_mls_data_v1_uri = base_api_uri + '/v1/del_mls_data'

# Antibot
set_antibot_v1_uri = base_api_uri + '/v1/set_antibot'
get_antibot_v1_uri = base_api_uri + '/v1/get_antibot'
del_antibot_v1_uri = base_api_uri + '/v1/del_antibot'
get_antibot_summary_v1_uri = base_api_uri + '/v1/get_antibot_summary'
